MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028579Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2017-03-21 16:172017-09-29 16:25
Reporteremv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028579: Get rid of the obsolete QANewModTopOpe_* and QANewBRepNaming_* algorithms
DescriptionThe algorithms implemented in the packages QANewModTopOpe and QANewBRepNaming are obsolete and should be removed. The corresponding draw test commands should also be removed.
Steps To ReproduceNon needed.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0028575assignedemv Removal of the old Boolean Operations algorithm - BRepAlgo_BooleanOperation 

-  Notes
(0064858)
git (administrator)
2017-04-03 13:48

Branch CR28579 has been created by emv.

SHA-1: 8d2b85e0b6102e2b223c91d51b56a0c169422dc3


Detailed log of new commits:

Author: emv
Date: Fri Mar 31 15:38:08 2017 +0300

    0028579: Get rid of the obsolete QANewModTopOpe_* and QANewBRepNaming_* algorithms
    
    1. The packages *QANewModTopOpe*, *QANewBRepNaming* and *QANewDBRepNaming* have been removed as containing obsolete features.
       The corresponding QA commands (such as OCC252, OCC307 and OCC294) and test cases have also been removed.
    
    2. The QA command buc60609 has been removed. The corresponding test case bugs/moddata_1/buc60609 has been rewritten using b2dclassify command.
(0064859)
emv (developer)
2017-04-03 13:49

Dear Mikhail, could you please review the git branch CR28579?
(0064862)
msv (developer)
2017-04-03 15:31

Reviewed.
(0064894)
mkv (tester)
2017-04-04 15:18

Dear BugMaster,
Branch CR28579 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested on Release mode.
SHA-1: 8d2b85e0b6102e2b223c91d51b56a0c169422dc3

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 91048930 / 91255046 [-0.23%]
Total CPU difference: 19797.710000000334 / 19581.820000000236 [+1.10%]
products component :
Total MEMORY difference: 30845407 / 30770563 [+0.24%]
Total CPU difference: 5384.929999999975 / 5358.419999999984 [+0.49%]
Testing on Windows:
occt component :
Total MEMORY difference: 57807699 / 57806750 [+0.00%]
Total CPU difference: 18512.950671998515 / 18037.2412225985 [+2.64%]
products component :
Total MEMORY difference: 22295371 / 22257195 [+0.17%]
Total CPU difference: 5402.751432799977 / 5313.206858799958 [+1.69%]

There are no differences in images found by testdiff.
(0064895)
mkv (tester)
2017-04-04 15:19

Dear BugMaster,
Branch CR28579 is TESTED.
(0065937)
git (administrator)
2017-05-12 11:36

Branch CR28579 has been deleted by kgv.

SHA-1: 8d2b85e0b6102e2b223c91d51b56a0c169422dc3

- Related Changesets
occt: master 2d0621bf
Timestamp: 2017-03-31 12:38:08
Author: emv
Committer: bugmaster
Details ] Diff ]
0028579: Get rid of the obsolete QANewModTopOpe_* and QANewBRepNaming_* algorithms

1. The packages *QANewModTopOpe*, *QANewBRepNaming* and *QANewDBRepNaming* have been removed as containing obsolete features.
   The corresponding QA commands (such as OCC252, OCC307 and OCC294) and test cases have also been removed.

2. The QA command buc60609 has been removed. The corresponding test case bugs/moddata_1/buc60609 has been rewritten using b2dclassify command.
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - src/QABugs/QABugs_11.cxx Diff ] File ]
mod - src/QABugs/QABugs_16.cxx Diff ] File ]
mod - src/QABugs/QABugs_3.cxx Diff ] File ]
mod - src/QADraw/QADraw_Additional.cxx Diff ] File ]
rm - src/QANewBRepNaming/FILES Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming.cxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming.hxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_BooleanOperation.cxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_BooleanOperation.hxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_Box.cxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_Box.hxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_Chamfer.cxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_Chamfer.hxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_Common.cxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_Common.hxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_Cut.cxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_Cut.hxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_Cylinder.cxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_Cylinder.hxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_Fillet.cxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_Fillet.hxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_Fuse.cxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_Fuse.hxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_Gluing.cxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_Gluing.hxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_ImportShape.cxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_ImportShape.hxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_Intersection.cxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_Intersection.hxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_Limitation.cxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_Limitation.hxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_Loader.cxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_Loader.hxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_LoaderParent.cxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_LoaderParent.hxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_Prism.cxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_Prism.hxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_Revol.cxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_Revol.hxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_Sphere.cxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_Sphere.hxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_TopNaming.cxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_TopNaming.hxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_TopNaming.lxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_TypeOfPrimitive3D.hxx Diff ] File ]
rm - src/QANewDBRepNaming/FILES Diff ] File ]
rm - src/QANewDBRepNaming/QANewDBRepNaming.cxx Diff ] File ]
rm - src/QANewDBRepNaming/QANewDBRepNaming.hxx Diff ] File ]
rm - src/QANewDBRepNaming/QANewDBRepNaming_FeatureCommands.cxx Diff ] File ]
rm - src/QANewDBRepNaming/QANewDBRepNaming_PrimitiveCommands.cxx Diff ] File ]
rm - src/QANewModTopOpe/FILES Diff ] File ]
rm - src/QANewModTopOpe/QANewModTopOpe.cxx Diff ] File ]
rm - src/QANewModTopOpe/QANewModTopOpe.hxx Diff ] File ]
rm - src/QANewModTopOpe/QANewModTopOpe_CommonPtr.hxx Diff ] File ]
rm - src/QANewModTopOpe/QANewModTopOpe_CutPtr.hxx Diff ] File ]
rm - src/QANewModTopOpe/QANewModTopOpe_Glue.cxx Diff ] File ]
rm - src/QANewModTopOpe/QANewModTopOpe_Glue.hxx Diff ] File ]
rm - src/QANewModTopOpe/QANewModTopOpe_Glue_SDFaces.cxx Diff ] File ]
rm - src/QANewModTopOpe/QANewModTopOpe_Glue_shell.cxx Diff ] File ]
rm - src/QANewModTopOpe/QANewModTopOpe_Glue_util.cxx Diff ] File ]
rm - src/QANewModTopOpe/QANewModTopOpe_Glue_vertex.cxx Diff ] File ]
rm - src/QANewModTopOpe/QANewModTopOpe_Glue_wire.cxx Diff ] File ]
rm - src/QANewModTopOpe/QANewModTopOpe_Intersection.cxx Diff ] File ]
rm - src/QANewModTopOpe/QANewModTopOpe_Intersection.hxx Diff ] File ]
rm - src/QANewModTopOpe/QANewModTopOpe_Limitation.cxx Diff ] File ]
rm - src/QANewModTopOpe/QANewModTopOpe_Limitation.hxx Diff ] File ]
rm - src/QANewModTopOpe/QANewModTopOpe_ModeOfLimitation.hxx Diff ] File ]
rm - src/QANewModTopOpe/QANewModTopOpe_ReShaper.cxx Diff ] File ]
rm - src/QANewModTopOpe/QANewModTopOpe_ReShaper.hxx Diff ] File ]
rm - src/QANewModTopOpe/QANewModTopOpe_Tools.cxx Diff ] File ]
rm - src/QANewModTopOpe/QANewModTopOpe_Tools.hxx Diff ] File ]
mod - src/TKQADraw/PACKAGES Diff ] File ]
rm - tests/bugs/caf/bug282 Diff ] File ]
rm - tests/bugs/caf/bug350 Diff ] File ]
rm - tests/bugs/caf/bug351 Diff ] File ]
rm - tests/bugs/caf/bug352 Diff ] File ]
rm - tests/bugs/caf/bug355 Diff ] File ]
rm - tests/bugs/modalg_2/bug307_1 Diff ] File ]
rm - tests/bugs/modalg_2/bug307_2 Diff ] File ]
rm - tests/bugs/modalg_4/bug6272_1 Diff ] File ]
rm - tests/bugs/modalg_4/bug6272_2 Diff ] File ]
rm - tests/bugs/modalg_4/bug6272_3 Diff ] File ]
rm - tests/bugs/modalg_4/bug6272_4 Diff ] File ]
mod - tests/bugs/moddata_1/buc60609 Diff ] File ]
rm - tests/bugs/moddata_2/bug252_1 Diff ] File ]
rm - tests/bugs/moddata_2/bug252_2 Diff ] File ]
rm - tests/bugs/moddata_2/bug252_3 Diff ] File ]
rm - tests/bugs/step/buc60906 Diff ] File ]
rm - tests/bugs/vis/bug294 Diff ] File ]
rm - tests/caf/nam/A6 Diff ] File ]
rm - tests/caf/nam/A7 Diff ] File ]
rm - tests/caf/nam/A8 Diff ] File ]
rm - tests/caf/nam/A9 Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-03-21 16:17 emv New Issue
2017-03-21 16:17 emv Assigned To => msv
2017-03-21 16:17 emv Relationship added related to 0028575
2017-03-21 16:18 emv Assigned To msv => emv
2017-03-21 16:18 emv Status new => assigned
2017-04-03 11:30 emv Summary Get rid of the TopOpeBRep* algorithms in QA* packages => Get rid of the obsolete QANewModTopOpe_* and QANewBRepNaming_* algorithms
2017-04-03 11:30 emv Description Updated View Revisions
2017-04-03 13:48 git Note Added: 0064858
2017-04-03 13:49 emv Note Added: 0064859
2017-04-03 13:49 emv Assigned To emv => msv
2017-04-03 13:49 emv Status assigned => resolved
2017-04-03 13:49 emv Steps to Reproduce Updated View Revisions
2017-04-03 15:31 msv Note Added: 0064862
2017-04-03 15:31 msv Assigned To msv => bugmaster
2017-04-03 15:31 msv Status resolved => reviewed
2017-04-03 16:55 mkv Assigned To bugmaster => mkv
2017-04-04 15:18 mkv Note Added: 0064894
2017-04-04 15:19 mkv Note Added: 0064895
2017-04-04 15:19 mkv Assigned To mkv => bugmaster
2017-04-04 15:19 mkv Status reviewed => tested
2017-04-04 15:19 mkv Test case number => Not needed
2017-04-14 14:28 bugmaster Changeset attached => occt master 2d0621bf
2017-04-14 14:28 bugmaster Status tested => verified
2017-04-14 14:28 bugmaster Resolution open => fixed
2017-05-12 11:36 git Note Added: 0065937
2017-09-29 16:20 user533 Fixed in Version => 7.2.0
2017-09-29 16:25 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker